MONGOC_CLIENT_POOL_SET_SERVER_API(3)

NAME
mongoc_client_pool_set_server_api - mongoc_client_pool_set_server_api()

SYNOPSIS

        bool
        mongoc_client_pool_set_server_api (mongoc_client_pool_t *pool,
                                           const mongoc_server_api_t *api,
                                           bson_error_t *error);

Set the API version to use for clients created through pool. Once the API version is set on a pool, it may not be changed to a new value. Attempting to do so will cause this method to fail and set error.

PARAMETERS

    •   pool: A mongoc_client_pool_t.

    •   api: A mongoc_server_api_t.

    •   error: A bson_error_t.

RETURNS

True if the version was successfully set, false if not. On failure, error will be set.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc